#! /bin/sh
#----------------------------------------------
#procedure to format disk partitions
#Parameter, lits of partition with mount point
#----------------------------------------------
. `dirname $0`/conf.sh
. `dirname $0`/manage.sh
#----------------------------------------------
while [ -n "$1" ] ; do 
  disk=`echo $1 | cut -d ',' -f1`
  mpoint=$MOUNTPOINT/`echo $1 | cut -d ',' -f2`
  mkdir -p $mpoint
  mount $disk $mpoint
  if [ $? -ne 0 ] ; then
    aborting "Unable to mount $disk on $mpoint"
    fi
  shift;
  continue
  done
echo "Partitions mounted"

