#! /bin/sh
#------------------------------------------------------
#Computing disk partitions size
#$1 disk name
#------------------------------------------------------
POSPART4="136316928"
SIZEPART5="204800"
KILOSEC="(2*1024)"
DISKSIZE=`/sbin/blockdev  --getsz $1`
MAXSEC=`/bin/echo "${DISKSIZE} - 1" | /usr/bin/bc`
SIZEPART4=`echo "(($MAXSEC - $POSPART4 - $SIZEPART5)/$KILOSEC)*$KILOSEC" | bc`
POSPART5=`echo "$POSPART4 + $SIZEPART4" | /usr/bin/bc`
cp `dirname $0`/diskpart.in `dirname $0`/diskpart
cp `dirname $0`/raidpart.in `dirname $0`/raidpart
sed -i						\
  -e "s/SIZEPART4/$SIZEPART4/"			\
  -e "s/POSPART5/$POSPART5/"			\
  `dirname $0`/diskpart				\
  `dirname $0`/raidpart

