#! /bin/sh
#----------------------------------------------
#$1 is the chroot directory
#----------------------------------------------
#procedure to assigne root password and define
#new users.
#----------------------------------------------
. `dirname $0`/manage.sh
#==============================================
#$1 is the newroot directory
#$2 is the user name
setuserpassword()

{
pass="";
status=1

exec 3>&1
result=$(dialog							\
       --title "Type new \"$2\" user Password"			\
       --clear 							\
       --insecure --passwordbox "" 6 50				\
       --title "type \"$2\" password again to make sure"	\
       --insecure --passwordbox "" 6 50				\
       2>&1 1>&3);
retval=$?
exec 3>&- ;
if [ $retval != 0 ] ; then
  exit 1
  fi
if [ -n "$result" ] ; then
  p1=`echo $result | cut -d ' ' -f1`
  p2=`echo $result | cut -d ' ' -f2`
  if [ "$p1" = "$p2" ] ; then
    report						\
		"Setting \"$2\" user's password"	\
		"Please wait"				\
		;
    echo $2:$p1 | chroot $1 chpasswd
    if [ $?=0 ] ; then
      status=0;
      fi
    else
      report						\
		"\"$1\" user's password missmatch"	\
		"Please wait and try again"		\
		;
    fi
  fi
return $status
}

#==============================================
#$1 is the newroot
adduser()

{
mkdir -p $1/home
status=1
exec 3>&1
result=$(dialog							\
	--title "new user"					\
	--form ""						\
	7 60 2							\
	"user ID (8 characters):" 1 1 "" 1 25 25 30 		\
	"User Name:" 2 1 "" 2 25 25 30				\
       2>&1 1>&3);
retval=$?
exec 3>&- ;
p1=`echo "$result" | head -n1`
np1=`echo $p1 | wc -w`
p2=`echo "$result" | tail -n +2 | head -n1`
if [ $retval != 0 ] ; then
  exit 1
fi
if [ -z "$p1" -a -z "$p2" ] ; then
  return 1
  fi
status=0
if [ -n "$p1" -a -n "$p2" -a $np1 = 1 ] ; then
  chroot $1 groupadd -f $p1 && chroot $1 useradd -G users -g $p1 -c "$p2" -m $p1
  retval=$?
  if [ $retval = 0 ] ; then
    report 						\
	"Adding user $p1 <$p2>"				\
	"proceeding, please wait"			\
	;
    setuserpassword $1 $p1
  else
    report 						\
	"Unable to create user $p1"			\
	"Please wait and try again"			\
	;
  fi
else
  report 						\
	"Missing user ID or user name"			\
	"Please wait and try again"			\
        ;
fi
return $status
}

#==============================================
TERM=linux

newroot=$1
if [ -z $newroot ] ; then
  newroot="/"
  fi
setuserpassword $newroot root
retval=$?
while [ $retval = 0 ] 
  do
  adduser $newroot
  retval=$?
  done

