#! /bin/sh
#----------------------------------------------
#$1 is the MOUNTPOINT

#----------------------------------------------
#procedure to install the mdadm.conf file
#----------------------------------------------
SEPA="#--------------------------------------------------------------------------------"
if [ -b /dev/md1 -a -n "$1" ] ; then
  mkdir -p $1/etc/
  (
  echo "$SEPA"
  echo "#mdadm.conf written out by installer stamp='`date`'"
  echo "MAILADDR root"
  echo "AUTO +imsm +1.x -all"
  echo "$SEPA"
  echo "`mdadm -D --scan | grep -v INACTIVE`"
  ) > $1/etc/mdadm.conf
  fi

