#! /bin/sh
#----------------------------------------------
#$1 MOUNTPOINT
#----------------------------------------------
#script to generate preset network configuration
MOUNTPOINT=$1
RULEDIR=/etc/udev/rules.d
PERFILE=70-persistent-net.rules

if [ -n "${MOUNTPOINT}" ] ; then
  (
  cd /etc/sysconfig
  for net in `ls ifconfig.*`
    do
    cp -a ${net} ${MOUNTPOINT}/etc/sysconfig
    done
  )
  if [ -f ${RULEDIR}/${PERFILE} ] ; then
    cp -a 				\
	${RULEDIR}/${PERFILE}		\
       	${MOUNTPOINT}${RULEDIR}
    fi
  fi
