#! /bin/sh
#----------------------------------------------------------------
#Procedure to install system on disk
#$1 minimal disk size in GigaByes
MINDSKSIZE=$1
#----------------------------------------------------------------
PATH=$PATH:.
#----------------------------------------------------------------
TMPNAME=/tmp/`basename $0`-$$
#----------------------------------------------------------------
. `dirname $0`/conf.sh
. `dirname $0`/manage.sh
export MENU="            Select disk(s) on which to install system\n          (select
 multiple disks to have a RAID system)"
#----------------------------------------------------------------
if [ -z "$1" ] ; then
  aborting "minimal disk size not specify"
  fi
MINDSKSIZE=$1
getdisk.sh $MINDSKSIZE > $TMPNAME
if [ `cat $TMPNAME | wc -l` -eq 0 ] ; then
  aborting "Unable to find disk bigger than $MINDSKSIZE Gigabytes"
  fi
#removing lines separator
sed -z 's/\n/ /g' $TMPNAME
#selecting the keyboard entry
exec 3>&1;
result=$(dialog							\
	--title "Installing System"				\
	--checklist "$MENU" 0 80 0				\
	--file $TMPNAME						\
	2>&1 1>&3);

  exec 3>&-;
  if [ $? != 0 ] ; then
    exit 1		#trouble trouble
    fi
#removing intermediate file and exiting
rm -fr $TMPNAME
if [ -n "$result" ] ; then
  . `dirname $0`/diskmount.sh $result
  . `dirname $0`/setfstab.sh $MOUNTPOINT
  . `dirname $0`/getrelease.sh "" ""
  . `dirname $0`/setnet.sh $MOUNTPOINT
  . `dirname $0`/setgrub.sh $MOUNTPOINT $result
  . `dirname $0`/newusers.sh $MOUNTPOINT
#everything completed
SEPA="#-----------------------------------------------------------------------"
  echo
  echo $SEPA
  echo "System ready! you can now reboot or explore newly installed Osukiss"
  echo "If you want to explore, type command \"chroot /osukiss\""
  echo $SEPA
  fi
#----------------------------------------------------------
exit 0
 
